Bug 810937 - Review Request: perl-multidimensional - Disables multidimensional array emulation
Review Request: perl-multidimensional - Disables multidimensional array emula...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://search.cpan.org/dist/multidime...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 12:58 EDT by Iain Arnell
Modified: 2012-05-26 03:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-multidimensional-0.010-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-19 03:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-04-09 12:58:43 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-multidimensional.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-multidimensional-0.010-1.fc16.src.rpm

Description:
Perl's multidimensional array emulation stems from the days before the language
had references, but these days it mostly serves to bite you when you typo a
hash slice by using the $ sigil instead of @.

This module lexically makes using multidimensional array emulation a fatal error
at compile time.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3974725

*rt-0.10_02
Comment 1 Petr Pisar 2012-05-04 08:35:34 EDT
Source file is original. Ok.
URL and Source0 are usable. Ok.
Summary verified from lib/multidimensional.pm. Ok.
License verified from lib/multidimensional.pm and LICENSE. Ok.
Description verified from lib/multidimensional.pm. Ok.
Package use XS code, architecture specific BuildArch is Ok.

TODO: If you patched out Lexical::SealRequireHints because of new enough perl, you could remove `perl >= 0:5.008' build-require.

All releases provides perl(Test::More) >= 0.88, nonqualified dependency is Ok.
All releases provides perl(Test::Pod::Coverage) >= 1.08, nonqualified dependency is Ok.
All releases provides perl(Test::Pod) >= 1.41, nonqualified dependency is Ok.

All tests pass. Ok.

$ rpmlint  perl-multidimensional.spec ../SRPMS/perl-multidimensional-0.010-1.fc18.src.rpm ../RPMS/x86_64/perl-multidimensional-*
perl-multidimensional.src: W: spelling-error %description -l en_US sigil -> vigil
perl-multidimensional.src: W: spelling-error %description -l en_US lexically -> lexical, exotically, allergically
perl-multidimensional.x86_64: W: spelling-error %description -l en_US sigil -> vigil
perl-multidimensional.x86_64: W: spelling-error %description -l en_US lexically -> lexical, exotically, allergically
3 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/x86_64/perl-multidimensional-0.010-1.fc18.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 May  4 14:27 /usr/lib64/perl5/vendor_perl/auto/multidimensional
-rwxr-xr-x    1 root    root                     6104 May  4 14:27 /usr/lib64/perl5/vendor_perl/auto/multidimensional/multidimensional.so
-rw-r--r--    1 root    root                     1861 May  4 14:27 /usr/lib64/perl5/vendor_perl/multidimensional.pm
drwxr-xr-x    2 root    root                        0 May  4 14:27 /usr/share/doc/perl-multidimensional-0.010
-rw-r--r--    1 root    root                     1243 Jan 27 13:34 /usr/share/doc/perl-multidimensional-0.010/Changes
-rw-r--r--    1 root    root                    18407 Jan 27 13:34 /usr/share/doc/perl-multidimensional-0.010/LICENSE
-rw-r--r--    1 root    root                      323 Jan 27 13:34 /usr/share/doc/perl-multidimensional-0.010/README
-rw-r--r--    1 root    root                     2296 May  4 14:27 /usr/share/man/man3/multidimensional.3pm.gz
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/perl-multidimensional-0.010-1.fc18.x86_64.rpm |sort |uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 perl(B::Hooks::OP::Check) >= 0.19
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(strict)
      1 perl(warnings)
      1 perl(XSLoader)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -q --provides  -p ../RPMS/x86_64/perl-multidimensional-0.010-1.fc18.x86_64.rpm |sort |uniq -c
      1 perl(multidimensional) = 0.010
      1 perl-multidimensional = 0.010-1.fc18
      1 perl-multidimensional(x86-64) = 0.010-1.fc18
Binary provides are Ok.

$ resolvedeps rawhide  ../RPMS/x86_64/perl-multidimensional-0.010-1.fc18.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4052566). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Please consider fixing all `TODO' items before building this package.

Resolution: Package APPROVED.
Comment 2 Iain Arnell 2012-05-08 07:10:35 EDT
New Package SCM Request
=======================
Package Name: perl-multidimensional
Short Description: Disables multidimensional array emulation
Owners: iarnell
Branches: f16 f17
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-05-08 08:35:09 EDT
Git done (by process-git-requests).
Comment 4 Iain Arnell 2012-05-10 07:11:19 EDT
Thanks, Petr. Imported without the unnecessary 'perl >= 0:5.008' BR.
Comment 5 Fedora Update System 2012-05-10 07:19:55 EDT
perl-multidimensional-0.010-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-multidimensional-0.010-2.fc16
Comment 6 Fedora Update System 2012-05-10 07:20:04 EDT
perl-multidimensional-0.010-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-multidimensional-0.010-2.fc17
Comment 7 Fedora Update System 2012-05-10 16:40:57 EDT
perl-multidimensional-0.010-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-05-19 03:00:03 EDT
perl-multidimensional-0.010-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2012-05-26 03:06:19 EDT
perl-multidimensional-0.010-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.